import { defineComponent, useCssVars, unref, toRefs, openBlock, createElementBlock, createElementVNode, toDisplayString, pushScopeId, popScopeId } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-4a7c6a32"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "title" };
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "title_main" }, null, -1));
const _hoisted_3 = { class: "title_hade" };
const __default__ = defineComponent({ name: "ETitle01" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "3deee22a": unref(lineWidth) + "px",
      "1135196f": unref(lineHeight) + "px",
      "0dff3976": unref(lineColor),
      "6b175243": unref(titleSize) + "px",
      "6d603724": unref(titleColor)
    }));
    const { titleText, titleSize, lineWidth, lineHeight, lineColor, titleColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        _hoisted_2,
        createElementVNode("div", _hoisted_3, toDisplayString(unref(titleText)), 1)
      ]);
    };
  }
});
var _ETitle01 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-4a7c6a32"]]);
export { _ETitle01 as default };
